Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064048 - [abrt] hpijs: operator delete(): Process /usr/lib/cups/filter/hpcups was killed by signal 6 (SIGABRT)
Summary: [abrt] hpijs: operator delete(): Process /usr/lib/cups/filter/hpcups was kill...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f2a5dc901163ee48cba27c79f6c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 21:46 UTC by Zain Hammadeh
Modified: 2014-11-24 14:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 14:20:02 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: cgroup (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: core_backtrace (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: dso_list (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: environ (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: limits (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: maps (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: open_fds (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details
File: proc_pid_status (deleted)
2014-02-11 21:46 UTC, Zain Hammadeh
no flags Details

Description Zain Hammadeh 2014-02-11 21:46:33 UTC
Version-Release number of selected component:
hpijs-3.13.9-2.fc19

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        Officejet-Pro-8600-3 141 zain download.springer.com/st...f6e0370eb7ac51&ext=.pdf 1 'InputSlot=Auto number-up=1 MediaType=Plain PageSize=Letter OutputMode=Draft ColorModel=CMYGray Duplex=DuplexNoTumble job-uuid=urn:uuid:f9a0aa0d-fcaa-34e3-7ce6-4402e2a6d01d media=na-letter job-originating-host-name=localhost time-at-creation=1383093227 time-at-processing=1383093227'
crash_function: operator delete
executable:     /usr/lib/cups/filter/hpcups
kernel:         3.11.6-200.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            4
var_log_messages: Oct 30 01:37:20 hammadeh abrt[6557]: Saved core dump of pid 6200 (/usr/lib/cups/filter/hpcups) to /var/tmp/abrt/ccpp-2013-10-30-01:37:20-6200 (1388544 bytes)

Truncated backtrace:
Thread no. 1 (5 frames)
 #6 operator delete at ../../../../libstdc++-v3/libsupc++/del_op.cc:47
 #7 operator delete[] at ../../../../libstdc++-v3/libsupc++/del_opv.cc:32
 #8 HPCupsFilter::cleanup at prnt/hpcups/HPCupsFilter.cpp:229
 #9 closeFilter at prnt/hpcups/HPCupsFilter.cpp:223
 #10 HPCupsFilter::StartPrintJob at prnt/hpcups/HPCupsFilter.cpp:570

Comment 1 Zain Hammadeh 2014-02-11 21:46:37 UTC
Created attachment 862014 [details]
File: backtrace

Comment 2 Zain Hammadeh 2014-02-11 21:46:39 UTC
Created attachment 862015 [details]
File: cgroup

Comment 3 Zain Hammadeh 2014-02-11 21:46:41 UTC
Created attachment 862016 [details]
File: core_backtrace

Comment 4 Zain Hammadeh 2014-02-11 21:46:43 UTC
Created attachment 862017 [details]
File: dso_list

Comment 5 Zain Hammadeh 2014-02-11 21:46:45 UTC
Created attachment 862018 [details]
File: environ

Comment 6 Zain Hammadeh 2014-02-11 21:46:48 UTC
Created attachment 862019 [details]
File: limits

Comment 7 Zain Hammadeh 2014-02-11 21:46:50 UTC
Created attachment 862020 [details]
File: maps

Comment 8 Zain Hammadeh 2014-02-11 21:46:51 UTC
Created attachment 862021 [details]
File: open_fds

Comment 9 Zain Hammadeh 2014-02-11 21:46:53 UTC
Created attachment 862022 [details]
File: proc_pid_status

Comment 12 Tim Waugh 2014-02-17 10:54:27 UTC
Did you only see this once, or were you able to make it happen whenever you printed that same job? If this problem is repeatable, are you able to attach the input file you printed, along with the PPD file from the /etc/cups/ppd/ folder?

Comment 13 Zain Hammadeh 2014-11-24 12:11:24 UTC
I just saw it once, and it is never repeated.

Thanks!

Comment 14 Tim Waugh 2014-11-24 14:20:02 UTC
OK. I haven't been able to reproduce it unfortunately.


Note You need to log in before you can comment on or make changes to this bug.